OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
BaseVehicle Struct Reference

Base vehicle class. More...

`#include <vehicle_type.h>`

Inheritance diagram for BaseVehicle:

## Data Fields
VehicleTypeByte | type
| Type of vehicle.

## Detailed Description

Base vehicle class.

Definition at line 52 of file vehicle_type.h.

The documentation for this struct was generated from the following file:

- src/vehicle_type.h